Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1223550 - Review Request: nodejs-fill-keys - Fill keys in a destination that are defined on the source
Summary: Review Request: nodejs-fill-keys - Fill keys in a destination that are define...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1197535 1223549
Blocks: nodejs-reviews 1223413
TreeView+ depends on / blocked
 
Reported: 2015-05-20 20:39 UTC by Tom Hughes
Modified: 2015-11-01 02:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:38:11 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Tom Hughes 2015-05-20 20:39:56 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-fill-keys.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-fill-keys-1.0.0-1.fc21.src.rpm
Fedora Account System Username: tomh

Description:
Fill keys in a destination that are defined on the source. Copies
descriptors so properties like enumerable will persist.

Comment 1 Jared Smith 2015-10-08 18:45:51 UTC
The package needs to be updated to the latest released version, and run the tests in %check if possible.

Also, I'm concerned about running "npm install" during the %check phase, because that would imply having internet access during compilation, which isn't a safe assumption in the Fedora build system.  I would prefer to see the necessary dependencies for the tests packaged in Fedora (if possible), or if it isn't possible then disable the tests and state that in the spec file.

Other than those two items, the package looks pretty good.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-fill-keys-1.0.0-1.fc23.noarch.rpm
          nodejs-fill-keys-1.0.0-1.fc23.src.rpm
nodejs-fill-keys.noarch: W: only-non-binary-in-usr-lib
nodejs-fill-keys.noarch: W: dangling-symlink /usr/lib/node_modules/fill-keys/node_modules/merge-descriptors /usr/lib/node_modules/merge-descriptors
nodejs-fill-keys.noarch: W: dangling-symlink /usr/lib/node_modules/fill-keys/node_modules/is-object /usr/lib/node_modules/is-object
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-fill-keys.noarch: W: only-non-binary-in-usr-lib
nodejs-fill-keys.noarch: W: dangling-symlink /usr/lib/node_modules/fill-keys/node_modules/merge-descriptors /usr/lib/node_modules/merge-descriptors
nodejs-fill-keys.noarch: W: dangling-symlink /usr/lib/node_modules/fill-keys/node_modules/is-object /usr/lib/node_modules/is-object
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-fill-keys (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(is-object)
    npm(merge-descriptors)



Provides
--------
nodejs-fill-keys:
    nodejs-fill-keys
    npm(fill-keys)



Source checksums
----------------
http://registry.npmjs.org/fill-keys/-/fill-keys-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 7c10629a14b890c3408bbccb76fb1ce34dcbd2e7d1659d617b92f11ca598e846
  CHECKSUM(SHA256) upstream package : 7c10629a14b890c3408bbccb76fb1ce34dcbd2e7d1659d617b92f11ca598e846


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1223550
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Tom Hughes 2015-10-08 19:11:22 UTC
Oh there definitely shouldn't be an npm install - that's probably a hack from before all the dependencies were packaged that can go now.

Comment 3 Tom Hughes 2015-10-08 19:31:41 UTC
So the tests were actually disabled, because of the dependency, and the npm install was just there so I could run them locally - obviously it wouldn't work in koji which is why they were disabled.

Anyway the new version has dropped that dependency and just uses tape to run the tests, so that problem has gone anyway. New version here:

Spec URL: http://download.compton.nu/nodejs/nodejs-fill-keys.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-fill-keys-1.0.2-1.fc22.src.rpm

Comment 4 Jared Smith 2015-10-13 15:24:04 UTC
Package is approved.  Thanks for fixing up those items.

Comment 5 Fedora Update System 2015-10-13 21:16:09 UTC
nodejs-proxyquire-1.7.3-1.fc23 nodejs-fill-keys-1.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b3eb44153

Comment 6 Fedora Update System 2015-10-14 22:53:19 UTC
nodejs-fill-keys-1.0.2-1.fc23, nodejs-proxyquire-1.7.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-proxyquire nodejs-fill-keys'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b3eb44153

Comment 7 Fedora Update System 2015-11-01 02:38:06 UTC
nodejs-fill-keys-1.0.2-1.fc23, nodejs-proxyquire-1.7.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.